# HG changeset patch
# User Michael Godfrey <michaeldgodfrey@gmail.com>
# Date 1401406298 -3600
#      Fri May 30 00:31:38 2014 +0100
# Node ID 70bcf0fa6b431ecea25224d858ce75b22129f41c
# Parent  ff613b6a7b6f780b7197f2e2bbe5dbae81c409f9
Edit Manual Sect. 1.3.3_final

diff -r ff613b6a7b6f -r 70bcf0fa6b43 doc/interpreter/plot.txi
--- a/doc/interpreter/plot.txi	Fri May 23 16:28:37 2014 +0200
+++ b/doc/interpreter/plot.txi	Fri May 30 00:31:38 2014 +0100
@@ -1311,9 +1311,37 @@
 * Surface Properties::
 @end menu
 
-In this Section the object properties are discussed in detail, starting
+In this Section the graphics object properties are discussed in detail, starting
 with the root figure properties and continuing through the graphics object
-hierarchy.
+hierarchy. For each graphics object its properties, with the allowed values
+(with the default value indicated by a following *), can
+be displayed using:
+
+@table @code
+@item Figure
+--- @code{set(gcf())} or @code{set(0)}
+
+@item Axes
+--- @code{set(gca())} or @code{set(axes)}
+
+@item Line
+--- @code{set(line)}
+
+@item Text
+--- @code{set(text)}
+
+@item Image
+--- @code{set(image)}
+
+@item Patch
+--- @code{set(patch)}
+
+@item Surface
+--- @code{set(surface)}
+@end table
+
+NOTE: It is appropriate to use these @code{set} functions as a check on the information shown below as
+your copy of Octave may not match the version described here.
 
 @node Root Figure Properties
 @subsubsection Root Figure Properties
@@ -1323,23 +1351,18 @@
 
 @table @code
 @item __modified__
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item __myhandle__
+--- Values: @code{[ off | on * ]}
 
 @item beingdeleted
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
 
 @item busyaction
+--- Values: @code{[ cancel | queue * ]}
 
 @item buttondownfcn
 
-@item callbackobject
-
-@item children
-
 @item clipping
- --- Values: @qcode{"on"}, @qcode{"off"}
+ --- Values: @code{[ off | on * ]}
 
 @item createfcn
 
@@ -1347,45 +1370,60 @@
 
 @item deletefcn
 
+@item diary
+--- Values:  @code{[ off | on * ]}
+
+@item diaryfile
+
+@item echo
+--- Values:  @code{[ off | on * ]}
+
+@item fixedwidthfontname
+
+@item format
+--- Values:  @code{[ + | bank | bit | hex | long | longe | longeng | longg | native-bit | native-hex | none | rat | short * | shorte | shorteng | shortg ]}
+
+@item formatspacing
+--- Values: @code{[ compact | loose * ]}
+
 @item handlevisibility
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ callback | off | on * ]}
 
 @item hittest
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
 
 @item interruptible
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
+
+@item language
+
+@item monitorpositions
 
 @item parent
 
-@item screendepth
-
-@item screenpixelsperinch
-
-@item screensize
+@item pointerlocation
+
+@item recursionlimit
 
 @item selected
+--- Values: @code{[ off | on * ]}
 
 @item selectionhighlight
-
-@item screendepth
-
-@item screenpixelsperinch
+--- Values: @code{[ off | on * ]}
 
 @item showhiddenhandles
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
 
 @item tag
 
-@item type
-
 @item uicontextmenu
 
 @item units
-
+--- Values: @code{[ centimeters | inches | normalized | pixels * | points ]}
 @item userdata
 
 @item visible
+--- Values: @code{[ off | on * ]}
 @end table
 
 @node Figure Properties
@@ -1398,28 +1436,21 @@
 @item __graphics_toolkit__
 --- The graphics toolkit currently in use.
 
-@item __enhanced__
-
 @item __modified__
-
-@item __myhandle__
-
-@item __plot_stream__
+--- Values: @code{[ off | on * ]}
 
 @item alphamap
 
 @item beingdeleted
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
 
 @item busyaction
+--- Values: @code{[ cancel | queue * ]}
 
 @item buttondownfcn
 
-@item children
-Handle to children.
-
 @item clipping
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
 
 @item closerequestfcn
 --- Handle of function to call on close.
@@ -1429,44 +1460,35 @@
 @item colormap
 An N-by-3 matrix containing the color map for the current axes.
 
-@item paperorientation
-
 @item createfcn
 
 @item currentaxes
 Handle to graphics object of current axes.
 
-@item currentcharacter
-
-@item currentobject
-
-@item currentpoint
-Holds the coordinates of the point over which the mouse pointer was when
-the mouse button was pressed.  If a mouse callback function is defined,
-@qcode{"currentpoint"} holds the coordinates of the point over which the
-mouse pointer is when the function gets called.
-
 @item deletefcn
 
 @item dockcontrols
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
 
 @item doublebuffer
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
 
 @item filename
 
 @item handlevisibility
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ callback | off | on * ]}
 
 @item hittest
+--- Values: @code{[ off | on * ]}
 
 @item integerhandle
+--- Values: @code{[ off | on * ]}
 
 @item interruptible
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
 
 @item inverthardcopy
+--- Values: @code{[ off | on * ]}
 
 @item keypressfcn
 see @qcode{"keypressfcn"}
@@ -1492,41 +1514,39 @@
 @end table
 
 @item menubar
-
+--- Values: @code{[ figure * | none ]}
 @item mincolormap
 
 @item name
 
 @item nextplot
-May be one of
-
-@table @asis
-@item @qcode{"new"}
-
-@item @qcode{"add"}
-
-@item @qcode{"replace"}
-
-@item @qcode{"replacechildren"}
-@end table
+--- Values: @code{[ add * | new | replace | replacechildren ]}
 
 @item numbertitle
+--- Values: @code{[ off | on * ]}
+
+@item outerposition
 
 @item paperorientation
-Indicates the orientation for printing.  Either @qcode{"landscape"} or
-@qcode{"portrait"}.
+--- Values: @code{[ landscape | portrait * | rotated ]}
 
 @item paperposition
 
 @item paperpositionmode
+--- Values: @code{[ auto | manual * ]}
 
 @item papersize
 
 @item papertype
+--- Values: @code{[ <custom> | a | a0 | a1 | a2 | a3 | a4 | a5 | arch-a | arch-b | arch-c | arch-d | arch-e | b | b0 | b1 | b2 | b3 | b4 | b5 | c | d | e | tabloid | uslegal | usletter * ]}
 
 @item paperunits
+--- Values: @code{[ centimeters | inches * | normalized | points ]}
+
+@item parent
 
 @item pointer
+--- Values: @code{[ arrow * | botl | botr | bottom | circle | cross | crosshair | custom | fleur | fullcrosshair | hand | ibeam | left | right | top | topl | topr | watch ]}
 
 @item pointershapecdata
 
@@ -1535,32 +1555,39 @@
 @item position
 
 @item renderer
+--- Values: @code{[ none | opengl | painters * | zbuffer ]}
 
 @item renderermode
+--- Values: @code{[ auto * | manual ]}
 
 @item resize
+--- Values: @code{[ off | on * ]}
 
 @item resizefcn
 
 @item selected
+--- Values: @code{[ off | on * ]}
 
 @item selectionhighlight
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
 
 @item selectiontype
+--- Values: @code{[ alt | extend | normal * | open ]}
 
 @item tag
 
 @item toolbar
-
-@item type
+--- Values: @code{[ auto * | figure | none ]}
+
+@item uicontextmenu
 
 @item units
+--- Values: @code{[ centimeters | characters | inches | normalized | pixels * | points ]}
 
 @item userdata
 
 @item visible
-Either @qcode{"on"} or @qcode{"off"} to toggle display of the figure.
+--- Values: @code{[ off | on * ]}
 
 @item windowbuttondownfcn
 See @qcode{"windowbuttonupfcn"}
@@ -1575,19 +1602,27 @@
 these callback functions are called, the @qcode{"currentpoint"} property
 holds the current coordinates of the cursor.
 
+@item windowkeypressfcn
+
+@item windowkeyreleasefcn
+
 @item windowscrollwheelfcn
 
 @item windowstyle
+--- Values: @code{[ docked | modal | normal * ]}
 
 @item wvisual
 
 @item wvisualmode
+--- Values: @code{[ auto * | manual ]}
 
 @item xdisplay
 
 @item xvisual
 
 @item xvisualmode
+--- Values: @code{[ auto * | manual ]}
+
 @end table
 
 @node Axes Properties
@@ -1598,42 +1633,48 @@
 
 @table @code
 @item __modified__
-
-@item __myhandle__
+--- Values: @code{[ off | on * ]}
 
 @item activepositionproperty
+--- Values: @code{[ outerposition * | position ]}
 
 @item alim
 
 @item alimmode
+--- Values: @code{[ auto * | manual ]}
 
 @item ambientlightcolor
 
 @item beingdeleted
+--- Values: @code{[ off | on * ]}
 
 @item box
-Box surrounding axes.
---- Values: @qcode{"on"}, @qcode{"off"}
+--- Values: @code{[ off | on * ]}
 
 @item busyaction
+--- Values: @code{[ cancel | queue * ]}
 
 @item buttondownfcn
 
 @item cameraposition
 
 @item camerapositionmode
+--- Values: @code{[ auto * | manual ]}
 
 @item cameratarget
 
 @item cameratargetmode
+--- Values: @code{[ auto * | manual ]}
 
 @item cameraupvector
 
 @item cameraupvectormode
+--- Values: @code{[ auto * | manual ]}
 
 @item cameraviewangle
 
 @item cameraviewanglemode
+--- Values: @code{[ auto * | manual ]}
 
 @item children
 
@@ -1644,9 +1685,10 @@
 property to be set to @qcode{"manual"}.
 
 @item climmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @item clipping
+--- Values: @code{[ off | on * ]}
 
 @item color
 
@@ -1669,50 +1711,52 @@
 property to be set to @qcode{"manual"}.
 
 @item dataaspectratiomode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @item deletefcn
 
 @item drawmode
+--- Values: @code{[ fast | normal * ]}
 
 @item fontangle
+--- Values: @code{[ italic | normal * | oblique ]}
 
 @item fontname
 
 @item fontsize
 
 @item fontunits
+--- Values: @code{[ centimeters | inches | normalized | pixels | points * ]}
 
 @item fontweight
+--- Values: @code{[ bold | demi | light | normal * ]}
 
 @item gridlinestyle
+--- Values: @code{[ - | -- | -. | : * | none ]}
 
 @item handlevisibility
+--- Values: @code{[ callback | off | on * ]}
 
 @item hittest
+--- Values: @code{[ off | on * ]}
 
 @item interpreter
+--- Values: @code{[ latex | none * | tex ]}
 
 @item interruptible
-
+--- Values: @code{[ off | on * ]}
 @item layer
+--- Values: @code{[ bottom * | top ]}
 
 @item linestyleorder
 
 @item linewidth
 
 @item minorgridlinestyle
+--- Values: @code{[ - | -- | -. | : * | none ]}
 
 @item nextplot
-May be one of
-
-@table @asis
-@item @qcode{"add"}
-
-@item @qcode{"replace"}
-
-@item @qcode{"replacechildren"}
-@end table
+--- Values: @code{[ add | replace * | replacechildren ]}
 
 @item outerposition
 A vector specifying the position of the plot, including titles, axes and
@@ -1728,7 +1772,7 @@
 @item plotboxaspectratio
 
 @item plotboxaspectratiomode
-
+--- Values: @code{[ auto * | manual ]}
 @item position
 A vector specifying the position of the plot, excluding titles, axes and
 legend.  The four elements of the vector are the coordinates of the
@@ -1739,21 +1783,24 @@
 the @code{outerposition} property.
 
 @item projection
+--- Values: @code{[ orthographic * | perpective ]}
 
 @item selected
+--- Values: @code{[ off | on * ]}
 
 @item selectionhighlight
+--- Values: @code{[ off | on * ]}
 
 @item tag
 
 @item tickdir
+--- Values: @code{[ in * | out ]}
 
 @item tickdirmode
+--- Values: @code{[ auto * | manual ]}
 
 @item ticklength
 
-@item tightinset
-
 @item title
 Index of text object for the axes title.
 
@@ -1762,6 +1809,7 @@
 @item uicontextmenu
 
 @item units
+--- Values: @code{[ centimeters | characters | inches | normalized * | pixels | points ]}
 
 @item userdata
 
@@ -1769,28 +1817,18 @@
 A three element vector specifying the view point for three-dimensional plots.
 
 @item visible
-Either @qcode{"on"} or @qcode{"off"} to toggle display of the axes.
-
-@item x_normrendertransform
-
-@item x_projectiontransform
-
-@item x_rendertransform
-
-@item x_viewporttransform
-
-@item x_viewtransform
+--- Values: @code{[ off | on * ]}
 
 @item xaxislocation
-Either @qcode{"top"} or @qcode{"bottom"}.
+--- Values: @code{[ bottom * | top | zero ]}
 
 @item xcolor
 
 @item xdir
-Either @qcode{"forward"} or @qcode{"reverse"}.
+--- Values: @code{[ normal * | reverse ]}
 
 @item xgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of grid lines.
+--- Values: @code{[ off | on * ]}
 
 @item xlabel
 Indices to text objects for the axes labels.
@@ -1801,15 +1839,16 @@
 property to be set to @qcode{"manual"}.
 
 @item xlimmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @item xminorgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of minor grid lines.
+--- Values: @code{[ off | on * ]}
 
 @item xminortick
+--- Values: @code{[ off | on * ]}
 
 @item xscale
-Either @qcode{"linear"} or @qcode{"log"}.
+--- Values: @code{[ linear * | log ]}
 
 @item xtick
 Set position of tick marks.
@@ -1821,21 +1860,21 @@
 property to be set to @qcode{"manual"}.
 
 @item xticklabelmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @item xtickmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @item yaxislocation
-Either @qcode{"left"} or @qcode{"right"}
+--- Values: @code{[ left  * | right | zero ]}
 
 @item ycolor
 
 @item ydir
-Either @qcode{"forward"} or @qcode{"reverse"}.
+--- Values: @code{[ normal * | reverse ]}
 
 @item ygrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of grid lines.
+--- Values: @code{[ off | on * ]}
 
 @item ylabel
 Indices to text objects for the axes labels.
@@ -1846,15 +1885,17 @@
 property to be set to @qcode{"manual"}.
 
 @item ylimmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @item yminorgrid
+
 Either @qcode{"on"} or @qcode{"off"} to toggle display of minor grid lines.
 
 @item yminortick
+--- Values: @code{[ off | on * ]}
 
 @item yscale
-Either @qcode{"linear"} or @qcode{"log"}.
+--- Values: @code{[ linear * | log ]}
 
 @item ytick
 Set position of tick marks.
@@ -1866,18 +1907,18 @@
 property to be set to @qcode{"manual"}.
 
 @item yticklabelmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @item ytickmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @item zcolor
 
 @item zdir
-Either @qcode{"forward"} or @qcode{"reverse"}.
+--- Values: @code{[ normal * | reverse ]}
 
 @item zgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of grid lines.
+--- Values: @code{[ off | on * ]}
 
 @item zlabel
 Indices to text objects for the axes labels.
@@ -1888,15 +1929,16 @@
 property to be set to @qcode{"manual"}.
 
 @item zlimmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @item zminorgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of minor grid lines.
+--- Values: @code{[ off | on * ]}
 
 @item zminortick
+--- Values: @code{[ off | on * ]}
 
 @item zscale
-Either @qcode{"linear"} or @qcode{"log"}.
+--- Values: @code{[ linear * | log ]}
 
 @item ztick
 Set position of tick marks.
@@ -1908,10 +1950,10 @@
 property to be set to @qcode{"manual"}.
 
 @item zticklabelmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @item ztickmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+--- Values: @code{[ auto * | manual ]}
 
 @end table
 
@@ -1923,18 +1965,18 @@
 
 @table @code
 @item __modified__
-
-@item __myhandle__
+--- Values: @code{[ off | on * ]}
 
 @item beingdeleted
+--- Values: @code{[ off | on * ]}
 
 @item busyaction
+--- Values: @code{[ cancel | queue * ]}
 
 @item buttondownfcn
 
-@item children
-
 @item clipping
+--- Values: @code{[ off | on * ]}
 
 @item color
 The RGB color of the line, or a color name.  @xref{Colors}.
@@ -1947,14 +1989,19 @@
 The text of the legend entry corresponding to this line.
 
 @item erasemode
+--- Values: @code{[ background | none | normal * | xor ]}
 
 @item handlevisibility
+--- Values: @code{[ callback | off | on * ]}
 
 @item hittest
+--- Values: @code{[ off | on * ]}
 
 @item interpreter
+--- Values: @code{[ latex | none | tex * ]}
 
 @item interruptible
+--- Values: @code{[ off | on * ]}
 
 @item ldata
 The lower errorbar in the y direction to be plotted.
@@ -1962,69 +2009,52 @@
 @item  linestyle
 @itemx linewidth
 @xref{Line Styles}.
+--- Values: @code{[ - * | -- | -. | : | none ]}
 
 @item linewidth
 
 @item marker
+--- Values: @code{[ * | + | . | < | > | ^ | d | diamond | h | hexagram | none * | o | p | pentagram | s | square | v | x ]}
 
 @item markeredgecolor
-
+--- Values: @code{[ auto * | none ]}
 @item markerfacecolor
-
+--- Values: @code{[ auto | none * ]}
 @item markersize
 @xref{Marker Styles}.
 
 @item parent
 
 @item selected
+--- Values: @code{[ off | on * ]}
 
 @item selectionhighlight
+--- Values: @code{[ off | on * ]}
 
 @item tag
 
-@item type
-
-@item udata
-The upper errorbar in the y direction to be plotted.
-
 @item uicontextmenu
 
 @item userdata
 
 @item visible
+--- Values: @code{[ off | on * ]}
 
 @item xdata
 The data to be plotted.
 
 @item xdatasource
 
-@item xldata
-The lower errorbar to be plotted.
-
-@item xlim
-
-@item xliminclude
-
-@item xudata
-The upper errorbar to be plotted.
-
 @item ydata
 The data to be plotted.
 
 @item ydatasource
 
-@item ylim
-
-@item yliminclude
-
 @item zdata
 The data to be plotted.
 
 @item zdatasource
 
-@item zlim
-
-@item zliminclude
 @end table
 
 @node Text Properties
@@ -2035,20 +2065,19 @@
 
 @table @code
 @item __modified__
-
-@item __myhandle__
+--- Values: @code{[ off | on * ]}
 
 @item backgroundcolor
+--- Values: @code{[ none * ]}
 
 @item beingdeleted
+--- Values: @code{[ off | on * ]}
 
 @item busyaction
-
-@item buttondownfcn
-
-@item children
+--- Values: @code{[ cancel | queue * ]}
 
 @item clipping
+--- Values: @code{[ off | on * ]}
 
 @item color
 The color of the text.  @xref{Colors}.
@@ -2061,14 +2090,16 @@
 The text of the legend entry corresponding to this line.
 
 @item edgecolor
+--- Values: @code{[ none * ]}
 
 @item editing
+--- Values: @code{[ off | on * ]}
 
 @item erasemode
+--- Values: @code{[ background | none | normal * | xor ]}
 
 @item fontangle
-Flag whether the font is italic or normal.  Valid values are @qcode{"normal"},
-@qcode{"italic"}, and @qcode{"oblique"}.
+--- Values: @code{[ italic | normal * | oblique ]}
 
 @item fontname
 The font used for the text.
@@ -2077,25 +2108,28 @@
 The size of the font, in points to use.
 
 @item fontunits
+--- Values: @code{[ centimeters | inches | normalized | pixels | points * ]}
 
 @item fontweight
-Flag whether the font is bold, etc.  Valid values are @qcode{"normal"},
-@qcode{"bold"}, @qcode{"demi"}, or @qcode{"light"}.
+--- Values: @code{[ bold | demi | light | normal * ]}
 
 @item handlevisibility
+--- Values: @code{[ callback | off | on * ]}
 
 @item hittest
+--- Values: @code{[ off | on * ]}
 
 @item horizontalalignment
-May be @qcode{"left"}, @qcode{"center"}, or @qcode{"right"}.
+--- Values: @code{[ center | left * | right ]}
 
 @item interpreter
-Determines how the text is rendered.  Valid values are @qcode{"none"},
-@qcode{"tex"}, or @qcode{"latex"}.
+--- Values: @code{[ latex | none | tex * ]}
 
 @item interruptible
+--- Values: @code{[ off | on * ]}
 
 @item linestyle
+--- Values: @code{[ - * | -- | -. | : | none ]}
 
 @item linewidth
 
@@ -2110,8 +2144,10 @@
 The angle of rotation for the displayed text, measured in degrees.
 
 @item selected
+--- Values: @code{[ off | on * ]}
 
 @item selectionhighlight
+--- Values: @code{[ off | on * ]}
 
 @item string
 The character string contained by the text object.
@@ -2123,25 +2159,15 @@
 @item uicontextmenu
 
 @item units
-May be @qcode{"normalized"} or @qcode{"graph"}.
+--- Values: @code{[ centimeters | data * | inches | normalized | pixels | points ]}
 
 @item userdata
 
 @item verticalalignment
+--- Values: @code{[ baseline | bottom | cap | middle * | top ]}
 
 @item visible
-
-@item xlim
-
-@item xliminclude
-
-@item ylim
-
-@item yliminclude
-
-@item zlim
-
-@item zliminclude
+--- Values: @code{[ off | on * ]}
 
 @end table
 
@@ -2153,12 +2179,18 @@
 
 @table @code
 @item __modified__
-
-@item __myhandle__
+--- Values: @code{[ off | on * ]}
+
+@item alphadata
+
+@item alphadatamapping
+--- Values: @code{[ direct | none * | scaled ]}
 
 @item beingdeleted
+--- Values: @code{[ off | on * ]}
 
 @item busyaction
+--- Values: @code{[ cancel | queue * ]}
 
 @item buttondownfcn
 
@@ -2170,30 +2202,36 @@
 determines the color of the pixel.
 
 @item cdatamapping
-
-@item children
-
-@item clim
-
-@item climinclude
+--- Values: @code{[ direct * | scaled ]}
 
 @item clipping
+--- Values: @code{[ off | on * ]}
 
 @item createfcn
 
 @item deletefcn
 
+@item displayname
+
+@item erasemode
+--- Values: @code{[ background | none | normal * | xor ]}
+
 @item handlevisibility
+--- Values: @code{[ callback | off | on * ]}
 
 @item hittest
+--- Values: @code{[ off | on * ]}
 
 @item interruptible
+--- Values: @code{[ off | on * ]}
 
 @item parent
 
 @item selected
+--- Values: @code{[ off | on * ]}
 
 @item selectionhighlight
+--- Values: @code{[ off | on * ]}
 
 @item tag
 
@@ -2204,22 +2242,16 @@
 @item userdata
 
 @item visible
+--- Values: @code{[ off | on * ]}
 
 @item xdata
 Two-element vector specifying the range of the x-coordinates for
 the image.
 
-@item xlim
-
-@item xliminclude
-
 @item ydata
 Two-element vector specifying the range of the y-coordinates for
 the image.
 
-@item ylim
-
-@item yliminclude
 @end table
 
 @node Patch Properties
@@ -2230,22 +2262,21 @@
 
 @table @code
 @item __modified__
-
-@item __myhandle__
-
-@item alim
-
-@item aliminclude
-
-@item alphadatamapping
+--- Values: @code{[ off | on * ]}
+
+@item alphamapping
+--- Values: @code{[ direct | none | scaled * ]}
 
 @item ambientstrength
 
 @item backfacelighting
+--- Values: @code{[ lit | reverselit * | unlit ]}
 
 @item beingdeleted
+--- Values: @code{[ off | on * ]}
 
 @item busyaction
+--- Values: @code{[ cancel | queue * ]}
 
 @item buttondownfcn
 
@@ -2253,14 +2284,10 @@
 Data defining the patch object.
 
 @item cdatamapping
-
-@item children
-
-@item clim
-
-@item climinclude
+--- Values: @code{[ direct | scaled * ]}
 
 @item clipping
+--- Values: @code{[ off | on * ]}
 
 @item createfcn
 
@@ -2277,8 +2304,10 @@
 The color of the line defining the patch.  @xref{Colors}.
 
 @item edgelighting
+--- Values: @code{[ flat | gouraud | none * | phong ]}
 
 @item erasemode
+--- Values: @code{[ background | none | normal * | xor ]}
 
 @item facealpha
 A number in the range [0, 1] indicating the transparency of the patch.
@@ -2287,6 +2316,7 @@
 The fill color of the patch.  @xref{Colors}.
 
 @item facelighting
+--- Values: @code{[ flat | gouraud | none * | phong ]}
 
 @item faces
 
@@ -2295,38 +2325,49 @@
 @item facevertexcdata
 
 @item handlevisibility
+--- Values: @code{[ callback | off | on * ]}
 
 @item hittest
+--- Values: @code{[ off | on * ]}
 
 @item interpreter
+--- Values: @code{[ latex | none | tex * ]}
 
 @item interruptible
+--- Values: @code{[ callback | off | on * ]}
 
 @item linestyle
 @xref{Line Styles}.
+--- Values: @code{[ - * | -- | -. | : | none ]}
 
 @item linewidth
 @xref{Line Styles}.
 
 @item marker
 @xref{Marker Styles}.
+--- Values: @code{[ * | + | . | < | > | ^ | d | diamond | h | hexagram | none * | o | p | pentagram | s | square | v | x ]}
 
 @item markeredgecolor
 @xref{Marker Styles}.
+--- Values: @code{[ auto * | flat | none ]}
 
 @item markerfacecolor
 @xref{Marker Styles}.
+--- Values: @code{[ auto * | flat | none ]}
 
 @item markersize
 @xref{Marker Styles}.
 
 @item normalmode
+--- Values: @code{[ auto * | manual ]}
 
 @item parent
 
 @item selected
+--- Values: @code{[ off | on * ]}
 
 @item selectionhighlight
+--- Values: @code{[ off | on * ]}
 
 @item specularcolorreflectance
 
@@ -2336,8 +2377,6 @@
 
 @item tag
 
-@item type
-
 @item uicontextmenu
 
 @item userdata
@@ -2347,28 +2386,17 @@
 @item vertices
 
 @item visible
+--- Values: @code{[ off | on * ]}
 
 @item xdata
 Data defining the patch object.
 
-@item xlim
-
-@item xliminclude
-
 @item ydata
 Data defining the patch object.
 
-@item ylim
-
-@item yliminclude
-
 @item zdata
 Data defining the patch object.
 
-@item zlim
-
-@item zliminclude
-
 @end table
 
 @node Surface Properties
@@ -2379,40 +2407,35 @@
 
 @table @code
 @item __modified__
-
-@item __myhandle__
-
-@item alim
-
-@item aliminclude
+--- Values: @code{[ off | on * ]}
 
 @item alphadata
 
 @item alphadatamapping
+--- Values: @code{[ direct | none | scaled * ]}
 
 @item ambientstrength
 
 @item backfacelighting
+--- Values: @code{[ lit | reverselit * | unlit ]}
 
 @item beingdeleted
+--- Values: @code{[ off | on * ]}
 
 @item busyaction
+--- Values: @code{[ cancel | queue * ]}
 
 @item buttondownfcn
 
 @item cdata
 
 @item cdatamapping
+--- Values: @code{[ direct | scaled * ]}
 
 @item cdatasource
 
-@item children
-
-@item clim
-
-@item climinclude
-
 @item clipping
+--- Values: @code{[ off | on * ]}
 
 @item createfcn
 
@@ -2428,44 +2451,60 @@
 @item edgecolor
 
 @item edgelighting
+--- Values: @code{[ flat | gouraud | none * | phong ]}
 
 @item erasemode
+--- Values: @code{[ background | none | normal * | xor ]}
 
 @item facealpha
 
 @item facecolor
+--- Values: @code{[ flat * | interp | none | texturemap ]}
 
 @item facelighting
+--- Values: @code{[ flat | gouraud | none * | phong ]}
 
 @item handlevisibility
+--- Values: @code{[ callback | off | on * ]}
 
 @item hittest
+--- Values: @code{[ off | on * ]}
 
 @item interpreter
+--- Values: @code{[ latex | none | tex * ]}
 
 @item interruptible
+--- Values: @code{[ off | on * ]}
 
 @item linestyle
+--- Values: @code{[ - * | -- | -. | : | none ]}
 
 @item linewidth
 
 @item marker
+--- Values: @code{[ * | + | . | < | > | ^ | d | diamond | h | hexagram | none * | o | p | pentagram | s | square | v | x ]}
 
 @item markeredgecolor
+--- Values: @code{[ auto * | flat | none ]}
 
 @item markerfacecolor
+--- Values: @code{[ auto | flat | none * ]}
 
 @item markersize
 
 @item meshstyle
+--- Values: @code{[ both * | column | row ]}
 
 @item normalmode
+--- Values: @code{[ auto * | manual ]}
 
 @item parent
 
 @item selected
+--- Values: @code{[ off | on * ]}
 
 @item selectionhighlight
+--- Values: @code{[ off | on * ]}
 
 @item specularcolorreflectance
 
@@ -2475,8 +2514,6 @@
 
 @item tag
 
-@item type
-
 @item uicontextmenu
 
 @item userdata
@@ -2484,6 +2521,7 @@
 @item vertexnormals
 
 @item visible
+--- Values: @code{[ off | on * ]}
 
 @item xdata
 The data determining the surface.  The @code{xdata} and @code{ydata}
@@ -2491,29 +2529,18 @@
 
 @item xdatasource
 
-@item xlim
-
-@item xliminclude
-
 @item ydata
 The data determining the surface.  The @code{xdata} and @code{ydata}
 elements are vectors and @code{zdata} must be a matrix.
 
 @item ydatasource
 
-@item ylim
-
-@item yliminclude
-
 @item zdata
 The data determining the surface.  The @code{xdata} and @code{ydata}
 elements are vectors and @code{zdata} must be a matrix.
 
 @item zdatasource
 
-@item zlim
-
-@item zliminclude
 @end table
 
 @node Searching Properties
